---
title: Date.prototype.setYear()
slug: Web/JavaScript/Reference/Global_Objects/Date/setYear
tags:
  - Date
  - Deprecated
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}} {{deprecated_header}}</div>

<p>The <strong><code>setYear()</code></strong> method sets the year for a specified date according to local time. Because <code>setYear()</code> does not set full years ("year 2000 problem"), it is no longer used and has been replaced by the {{jsxref("Date.prototype.setFullYear()", "setFullYear()")}} method.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.setYear(<var>yearValue</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>yearValue</var></code></dt>
 <dd>An integer.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The number of milliseconds between 1 January 1970 00:00:00 UTC and the updated date.</p>

<h2 id="Description">Description</h2>

<p>If <code>yearValue</code> is a number between 0 and 99 (inclusive), then the year for <code>dateObj</code> is set to <code>1900 + yearValue</code>. Otherwise, the year for <code>dateObj</code> is set to <code>yearValue</code>.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_setYear">Using setYear()</h3>

<p>The first two lines set the year to 1996. The third sets the year to 2000.</p>

<pre class="brush: js notranslate">var theBigDay = new Date();

theBigDay.setYear(96);
theBigDay.setYear(1996);
theBigDay.setYear(2000);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.setyear', 'Date.prototype.setYear')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.setYear")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.getFullYear()")}}</li>
 <li>{{jsxref("Date.prototype.getUTCFullYear()")}}</li>
 <li>{{jsxref("Date.prototype.setFullYear()")}}</li>
 <li>{{jsxref("Date.prototype.setUTCFullYear()")}}</li>
</ul>
